# Uses of Class
org.eclipse.birt.report.model.api.metadata.PropertyValueException

Packages that use PropertyValueException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of PropertyValueException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw PropertyValueException
Modifier and Type
Method
Description
`void`
StructureHandle.`drop()`
Removes this structure from a list property or member.
`void`
SimpleValueHandle.`moveItem(int from, int to)`
Moves an item within a list property or member.
`void`
MemberHandle.`removeItem(int posn)`
`void`
PropertyHandleImpl.`removeItem(int posn)`
`abstract void`
SimpleValueHandle.`removeItem(int posn)`
Removes an item from a list property or member.
`final void`
SimpleValueHandle.`removeItem(Object item)`
Removes an item from a list property or member.
`void`
SimpleValueHandle.`removeItems(List items)`
Removes all the items in the list from a list property or member.
`void`
UserPropertyDefnHandle.`setUserPropertyDefn(UserPropertyDefn prop)`
Sets the definition for the user-defined property.

## Uses of PropertyValueException in org.eclipse.birt.report.model.api.metadata

Subclasses of PropertyValueException in org.eclipse.birt.report.model.api.metadata
Modifier and Type
Class
Description
`class`
`ValidationValueException`
Indicates an invalid validation value.
Methods in org.eclipse.birt.report.model.api.metadata that throw PropertyValueException
Modifier and Type
Method
Description
`static DimensionValue`
DimensionValue.`parse(String value)`
Deprecated.
replaced by `StringUtil.parse(String)`
`static DimensionValue`
DimensionValue.`parseInput(String value)`
Deprecated.
replaced by `StringUtil.parseInput(String, com.ibm.icu.util.ULocale)`

## Uses of PropertyValueException in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util that throw PropertyValueException
Modifier and Type
Method
Description
`static DimensionValue`
DimensionUtil.`convertTo(String dimension, String appUnit, String targetUnits)`
Convert a dimension from one units to another, the dimension like "12pt, 12cm" is composed of two parts: "measure" and "units".
`static DimensionValue`
StringUtil.`parse(String value)`
Parses a dimension string in locale-independent way.
`static DimensionValue`
StringUtil.`parseInput(String value, com.ibm.icu.util.ULocale locale)`
Parses a dimension string in locale-dependent way.